{$I TMSDEFS.INC}
{***********************************************************************}
{ TTIW Planner design time component support                            }
{ for Delphi & C++Builder                                               }
{                                                                       }
{ written by                                                            }
{    TMS Software                                                       }
{    copyright  2002 - 2012                                            }
{    Email : info@tmssoftware.com                                       }
{    Web : http://www.tmssoftware.com                                   }
{                                                                       }
{***********************************************************************}

{----------------------------------------------}
{  I M P O R T A N T   N O T I C E             }
{                                              }
{ If there is a compiler error for a missing   }
{ file TMSDEFS.INC, please consult the install }
{ notes to use the appropriate file.           }
{----------------------------------------------}

{$I TMSDEFS.INC}

unit IWWebPlannerDEReg;

interface
uses
  IWWebPlanner, IWDBWebPlanner, IWWebPlannerDE, IWWebPlanImg, Classes
{$IFDEF DELPHI6_LVL}
  , DesignIntf, DesignEditors
{$ELSE}
  , DsgnIntf
{$ENDIF}
  {$IFNDEF TMSIW14}
  , IWDsnColor
  {$ENDIF}
  {$IFDEF TMSIW14}
  , IWTMSPLANDsnColor
  {$ENDIF}
  , IWColor
  ;

procedure Register;

implementation

{$IFNDEF TMSIW14}
type
  TIWTMSPLANColorEditor = class(TIWColorEditor);
{$ENDIF}

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'StartTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'EndTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'KeyField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'NotesField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'SubjectField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TTIWDBItemSource,'ResourceField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(TIPicture), TTIWCustomWebPlanner, 'Background', TTIWPlanImageProperty);

  RegisterComponentEditor(TTIWWebPlanner,TIWWebPlannerEditor);

  RegisterPropertyEditor(TypeInfo(TIWColor), TPopupEdit, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TBands, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TPositionProp, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TPlannerSideBar, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TPlannerDisplay, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TPlannerHeader, '', TIWTMSPLANColorEditor);
  RegisterPropertyEditor(TypeInfo(TIWColor), TPlannerItem, '', TIWTMSPLANColorEditor);
end;

end.
